#! /bin/tclsh

# Generation of main html page...

puts "Generating main html page..."
set mainhtml [open "cliqr.html" w]
puts $mainhtml "<html lang=\"en\"><head>"
puts $mainhtml "<title>CLIQR Output</title>"
puts $mainhtml "<//head>"
puts $mainhtml "<body>"
puts $mainhtml "Thank you for viewing the CLIQR output page. Please select an active system from the list below."
puts $mainhtml "<br>"
puts $mainhtml "For information about the CLIQR program, assistance in reading its output, or to contact the author, please view the help file <a href=\"cliqrwebhelp.txt\">here.</a>"
puts $mainhtml "<br>"
puts $mainhtml "Any and all suggestions welcome."
puts $mainhtml "<br>"
puts $mainhtml "<br>"

# Still don't know why 'cd' doesn't work from inside tcl, so must move to the /web directory
# set cmd "cd /export/lnx159/eff3/CHGHUR/storm/web"
# eval exec $cmd
set imgfile ""
set htmlpage ""
set pathtoimg ""
for {set i 0} {$i < $argc} {incr i 1} {
    # individual storm pages...
    set storm [lindex $argv $i]
    unset imgfile
    append imgfile  $storm "cliqrrainimgs.txt"
    set imgs [open $imgfile  r]
    unset htmlpage
    append htmlpage $storm ".html"
    set html [open $htmlpage w]
    puts $html "<html lang=\"en\"><head>"
    puts $html "<title>CLIQR output for $storm</title>"
    puts $html "</head>"
    puts $html "<body>"
    puts $html "<h1>[gets $imgs]</h1>"
    puts $html "<br>"
    puts $html "Results ranked from best match to worst match, with ties being won by the earlier storm."
    while {[eof $imgs] ==  "0"} {
        puts $html "<br>"
        set url [gets $imgs]
        set pathtoimg ""
        if {[string equal [string range $url 58 66] "nographic"]} {
            append pathtoimg [string range $url 0 13] ": No graphic available."
        } else {
            append pathtoimg "<a href=\"" [string range $url 15 end] "\">[string range $url 0 13]</a>" "   "
        }
        puts $html $pathtoimg
    }
    puts "Inserting extra data links..."
    # Looping part of main html generation
    puts $mainhtml "<br>"
    set storm [lindex $argv $i]
    puts $mainhtml "${storm}:"
    set pathtostrm ""
    append pathtostrm "<a href=\"" $storm  ".html\"><b> Rainfall Matches</b></a> -- "
    puts $mainhtml $pathtostrm
    puts $mainhtml "<a href=\"${storm}initdata.txt\">Initial Data</a> -- "
    puts $mainhtml "<a href=\"${storm}cliqrout.txt\">Raw Text Matches</a>"
    update idletasks
}
set datetime [clock format [clock seconds] -format "%a %b %d, %H%M %Z"]
puts $mainhtml "<br>"
puts $mainhtml "<br>"
puts $mainhtml "Note: Information contained on this page is for guidance only and may not contain the most up-to-date data. For the latest info on any tropical systems on this page, please refer to the <a href=\"http://www.nhc.noaa.gov\">NHC</a>."
puts $mainhtml "<br>"
puts $mainhtml "<br>"
puts $mainhtml "Page generated: $datetime"
puts $mainhtml "<br>"
puts $mainhtml "</body>"
puts $mainhtml "</html>"
puts $html "</body>"
puts $html "</html>"
