#!/usr/bin/perl5

###############################################################################
# checkmsg.pl
#
# Called from the copyinit.csh script, checks the files copied over for use by
# the CLIQR/FLIQR scripts and ensures they are from the same cycle and of the
# appropriate type. If it is useful data, the data is then placed into the
# files needed to execture the search.
#
# K. Griffin/HPC   09/08
###############################################################################

$home=$ENV{'HOME'};

open(DAT,"initfiles.txt")||die("Initalizaion data cannot be opened.");
@mdlfiles=<DAT>;
$i=0;
foreach (@mdlfiles)
{
  chomp $_;
  $filelist[$i]=$_;
  $i++;
}
## $i should always equal 5 at this point ?
$numfiles=$i;
close DAT;


chdir "$home/klein/cliqr/fliqr/initdata";

## Should progress from first files to the latest files, to ensure that more recent messages take
## precedence over earlier outputs in the same cycle.

@curfile={};
@curlines={};
$goodfile=0;
for($n=0;$n<$numfiles;$n++) {
  undef @curfile;
  undef @curlines;
  open(HUR,$filelist[$n])||die("Data file $filelist[$n] cannot be opened.");
  @curfile=<HUR>;
  $i=0;
  foreach (@curfile)
  {
    chomp $_;
    $curlines[$i]=$_;
    $i++;
  }
  $topline=0;
  $curlines[3]=substr($curlines[3],0,6);
  print "Checking file $n, $filelist[$n]...";
  if($curlines[3] eq "CHGHUR"||$curlines[3] eq "CHGE77")
  {
    print "File $n is good.\n";
    $goodfile=1;
    ## The -10 below is arbitrary, but must be greater than the number of data segments in one file
    while($topline<@curlines-10)
    {
      print "File type: $curlines[$topline+3]\n";
      print "Header at $topline \n";
      print "Total lines:".(0+@curlines)."\n";
      ## Old script contained a check for the "000" at the top of the AWIPS header block - removed
      ## this time around as duplicates will only require marginally more computational time and
      ## there is no specific guarantee that one of the two duplicated will have a 000.
      ## The following lines are a direcct copy of the code used in the previous ver. of the script.
      undef $name;
      undef @fname;
      $name="";
      $char=substr($curlines[$topline+14],0,1);
      for($i=1;$char ne "(";$i++)
      {
        $name=$name.$char;
        $char=substr($curlines[$topline+14],$i,1);
      }
      chomp $name;
      $char=substr($name,length($name),1);
      for($i=length($name)-1;$char ne " ";$i--)
      {
        push(@fname,$char);
        $char=substr($name,$i-1,1)
      }
      $name="";
      foreach(@fname)
      {
        $name=$_.$name;
      }
      #####################
      ## If it's an INVEST storm, add on
      ## the accompanying AL## or EP## identifier
      #####################
      if($name eq "INVEST")
      {
        $name=$name."_".substr($curlines[$topline+14],20,4);
      }
      print $name."\n";
      ## End copied code
      #####################
      ## Print the text to a file named after the storm
      #####################
      chdir "$home/klein/cliqr/fliqr/storms";
      open(OUT,">".$name)||die("File cannot be opened.");
      chdir "$home/klein/cliqr/fliqr/initdata";
      for($i=$topline;$i<$topline+49;$i++)
      {
        if(length($curlines[$i])>20)
        {
          if(substr($curlines[$i],12,4) eq "INIT")
          {
            $inittop=$i+1;
          }
        }
        print OUT $curlines[$i]."\n";
        if($i==$inittop+10)
        {
          break;
        }
      }
      $topline=$inittop+10;
    }
  }
  else {
    print "File $n is not appropriate, type $curlines[3].\n";
    if($goodfile)
    {
      print "Ending search, previous cycle files found.\n";
      break;
    }
  }
  close HUR;
}
