#!/bin/csh

###################################################################################################
# copyinit.csh
#
# Script to copy files from the NWX part of the LDM feed into a local directory to be processed
# Also calls the perl scripts to check for the appropriate type of data (CHGHUR/CHGHE77 msgs)
# that is needed by the CLIQR/FLIQR program
#
# K. Griffin/HPC    9/2008
# K. Griffin/HPC    9/2009 Modified to clean up rm statements
# M. Klein/HPC      6/2012 Move to the compute farm.
###################################################################################################

setenv CLIQR   ${HOME}/klein/cliqr
setenv FLIQR   ${HOME}/klein/cliqr/fliqr

cd ${FLIQR}

rm -f ${FLIQR}/initdata/*.mdl
rm -Rf ${FLIQR}/storms

mkdir -p ${FLIQR}/storms
mkdir -p ${FLIQR}/initdata

${FLIQR}/cyclefiles_test.csh

if ( `ls -1 initdata | wc -l` > 0 ) then
    cd ${FLIQR}/initdata
    dos2unix `ls`
else
    echo "There are no files with recent data...exit"
# Added 5/13/2013...not sure what is going on here.
    #rm -Rf ${CLIQR}/CHGHUR/storm/web
    #rm -f ${CLIQR}/CHGHUR/storm/cliqrout.txt ${CLIQR}/CHGHUR/storm/cliqroutuniq.txt
    exit
endif

cd ${FLIQR}
perl checkmsg.pl

cd ${FLIQR}/storms
ls -1 > ${FLIQR}/stormlist.txt

rm -Rf $GRPHGD/cliqr_new/CHGHUR/storm
mkdir $GRPHGD/cliqr_new/CHGHUR/storm 
cp ${FLIQR}/storms/* $GRPHGD/cliqr_new/CHGHUR/storm/
cp ${FLIQR}/stormlist.txt $GRPHGD/cliqr_new/filelist.txt 

rm -Rf ${CLIQR}/CHGHUR/storm
mkdir ${CLIQR}/CHGHUR/storm
cp ${FLIQR}/storms/* ${CLIQR}/CHGHUR/storm
cp ${FLIQR}/stormlist.txt ${CLIQR}/filelist.txt

exit(0)
