#!/bin/csh

################################################################################
# cyclefiles.csh
#
# Called from within the copyinit.csh script. Determines the current model cycle
# and copies only the files with names indicating data from that cycle.
#
# K. Griffin/HPC   09/08
################################################################################

setenv FLIQR   ${HOME}/klein/cliqr/fliqr

set hour = `date +%H`
set date = `date +%Y%m%d`

if (`expr $hour + 0` < 6) then 
    set cycle = 00
else if (`expr $hour + 0` < 12) then
    set cycle = 06
else if (`expr $hour + 0` < 18) then
    set cycle = 12
else
    set cycle = 18
endif

rm -f initfiles.txt

cd /data/ldm/nwx/nhc/model/

echo $hour $cycle

set i = $hour
while (`expr $i + 0` >= `expr $cycle + 0`)
    set filename = ""
  if (`expr $hour + 0` < 10) then
    set filename = ${date}0$i
  else
    set filename = ${date}$i
  endif
  echo $filename
  if (-e "${filename}.mdl") then
    cp ${filename}.mdl ${FLIQR}/initdata/${filename}.mdl
    echo "${filename}.mdl" >> ${FLIQR}/initfiles.txt
  endif
  @ i = `expr $i - 1`
end

exit(0)
